<?xml version="1.0" encoding="UTF-8" ?>
<!--
IGAC proyecto SNC

@author felipe.cadena
@version 1.0


-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui" id="detalleZona"
             width="100%" cellpadding="10">

    <p:messages id="msgDetalleZona" showDetail="false" globalOnly="false" />
    <h:panelGrid  columns="2">

        <h:outputLabel value="Año vigencia zona:"
                       styleClass="outputLabelStyle" />
        <h:panelGrid columns="2">
            <h:outputText value="#{managedBeanParam.anioZona}"
                          id="anioZona" />
            <p:message for="anioZona" display="icon" />
        </h:panelGrid>
        <h:outputLabel value="Zona fisica:"
                       styleClass="outputLabelStyle" />
        <h:panelGrid columns="2">
            <h:inputText value="#{managedBeanParam.zonaSeleccionada.zonaFisica}"
                         id="zonaFisica" required="true" label="Zona fisica" />
            <p:message for="zonaFisica" display="icon" />
        </h:panelGrid>

        <h:outputLabel value="Zona geoeconómica"
                       styleClass="outputLabelStyle" />
        <h:panelGrid columns="2">
            <h:inputText value="#{managedBeanParam.zonaSeleccionada.zonaGeoeconomica}"
                         id="zonaGeo" required="true" label="Zona geoeconómica" />
            <p:message for="zonaGeo" display="icon"/>
        </h:panelGrid>

        <h:outputLabel value="Area terreno:"
                       styleClass="outputLabelStyle" />
        <h:panelGrid columns="2">
            <h:inputText value="#{managedBeanParam.zonaSeleccionada.area}" required="true" 
                         id="areaTerreno" label="Area terreno" />
            <p:message for="areaTerreno" display="icon" />
        </h:panelGrid>

        <h:outputLabel value="Valor unidad de terreno:"
                       styleClass="outputLabelStyle" />

        <h:panelGrid columns="2">
            <h:inputText value="#{managedBeanParam.zonaSeleccionada.valorM2Terreno}" required="true" 
                         id="valorUnidadTerreno" label="Valor unidad de terreno" />
            <p:message for="areaTerreno" display="icon" />
        </h:panelGrid>
    </h:panelGrid>


    <p:outputPanel layout="block" style="text-align:right">
        <p:commandButton action="#{managedBeanParam.guardarZona}"
                         oncomplete="handleCompleteSIC(xhr, status, args, datosZonaWV, false)"
                         value="Aceptar"
                         update=":gestionarFichaMatrizForm, :detalleZonaForm:msgDetalleZona"
                         icon="ui-icon-ok" />
    </p:outputPanel>
</h:panelGrid>